

#include <avr/io.h>
#include "lcd-m50530.h"

// Hauptprogramm
int main(void)
{
	// wait for power up
	delay(50);

	// LCD initialisieren
	LCD_init();
	// Modus des LCDs ndern
	LCD_setEntryMode(LCD_CURSOR_ADDRESS_INC_WD | LCD_DISPLAY_START_ADDRESS_NO_CHANGE);
	// Cursor einschalten
	LCD_setDisplay(LCD_DISPLAY_ON | LCD_CURSOR_ON | LCD_CURSOR_BLINK | LCD_CHARACTER_BLINK);

	// ein paar Zeichen ausgeben
	LCD_write("LCD - 24x8 characters");
	LCD_setCursorPos(1,6);
	LCD_write("Samsung 0282A");
	LCD_setCursorPos(7, 21);
	LCD_write("8-)");
	LCD_setCursorPos(3, 0);
	LCD_write("test successful");
	LCD_setCursorPos(2, 6);
	LCD_write("with ATmega128");

	while (1);

	return 0;
}
